Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.syndication.module
Class SimpleTrackback

    java.lang.Object
      org.blojsom.plugin.syndication.module.SimpleTrackback

All Implemented Interfaces:
  java.lang.Cloneable

public class SimpleTrackback
extends java.lang.Object
implements java.lang.Cloneable

Simple trackback

Since:
  blojsom 3.0
Version:
  $Id: SimpleTrackback.java,v 1.1 2006/04/27 02:52:09 czarneckid Exp $
Author:
  David Czarnecki

Constructor Summary
`SimpleTrackback()`

Method Summary
`java.lang.Object` | `clone()`
`java.lang.String` | `getBlogName()`
`java.lang.String` | `getExcerpt()`
`java.lang.String` | `getIp()`
`java.lang.String` | `getStatus()`
`java.lang.String` | `getTitle()`
`java.util.Date` | `getTrackbackDate()`
`java.lang.String` | `getUrl()`
`void` | `setBlogName(java.lang.String blogName)`
`void` | `setExcerpt(java.lang.String excerpt)`
`void` | `setIp(java.lang.String ip)`
`void` | `setStatus(java.lang.String status)`
`void` | `setTitle(java.lang.String title)`
`void` | `setTrackbackDate(java.util.Date trackbackDate)`
`void` | `setUrl(java.lang.String url)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTrackback

    public SimpleTrackback()

Method Detail

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

### getExcerpt

    public java.lang.String getExcerpt()

### setExcerpt

    public void setExcerpt(java.lang.String excerpt)

### getUrl

    public java.lang.String getUrl()

### setUrl

    public void setUrl(java.lang.String url)

### getBlogName

    public java.lang.String getBlogName()

### setBlogName

    public void setBlogName(java.lang.String blogName)

### getTrackbackDate

    public java.util.Date getTrackbackDate()

### setTrackbackDate

    public void setTrackbackDate(java.util.Date trackbackDate)

### getIp

    public java.lang.String getIp()

### setIp

    public void setIp(java.lang.String ip)

### getStatus

    public java.lang.String getStatus()

### setStatus

    public void setStatus(java.lang.String status)

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD